%global momorel 3
%global svndate 20081004

Summary: IrMC Synchronization Plug-In for OpenSync
Name: libopensync-plugin-irmc
Version: 0.38
Release: 0.%{svndate}.%{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
#Source0: http://opensync.org/download/releases/%%{version}/%%{name}-%%{version}.tar.bz2
#NoSource: 0
Source0: %{name}-%{version}-svn%{svndate}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: bluez-libs
BuildRequires: cmake
BuildRequires: bluez-libs-devel >= 4.0
BuildRequires: libX11-devel
BuildRequires: libopensync-devel >= %{version}
BuildRequires: openobex-devel 
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from cell phones with IrMC support (such as Sony Ericsson K750i,
Siemens S55).

Additionally install the libopensync package.

%prep
%setup -q -n %{name}-%{version}-svn%{svndate}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/opensync-1.0/plugins/irmc-sync.so
%{_datadir}/opensync-1.0/defaults/irmc-sync

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-0.20081004.3m)
- rebuild against rpm-4.6

* Fri Dec 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.38-0.20081004.1m)
- rebuild against bluez-4.22

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-0.20081004.1m)
- update to 0.38 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- version 0.36

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
